;
; Copyright (c) Microsoft Corporation.  All rights reserved.
;
;
; Use of this source code is subject to the terms of the Microsoft end-user
; license agreement (EULA) under which you licensed this SOFTWARE PRODUCT.
; If you did not accept the terms of the EULA, you are not authorized to use
; this source code. For a copy of the EULA, please see the LICENSE.RTF on your
; install media.
;

; Our variables
#define BUILTIN_ROOT HKEY_LOCAL_MACHINE\Drivers\BuiltIn
#define DRIVERS_DIR $(_PUBLICROOT)\common\oak\drivers


; @CESYSGEN IF WCESHELLFE_MODULES_CTLPNL
; This registry setting controls the checkboxes displayed in the Sounds CPL
; under "enable clicks & taps". Set bit0 if you have a keyboard, set bit1 if
; you have a touch screen. Set bit2 if you have HW buttons (NOTE: for now
; HW buttons are mutually exclusive with the keyboard)
[HKEY_LOCAL_MACHINE\ControlPanel]
    "InputConfig"=dword:3   ; 3 => keybd and touch screen
; @CESYSGEN ENDIF WCESHELLFE_MODULES_CTLPNL

; @CESYSGEN IF WCESHELLFE_MODULES_EXPLORER
; This registry setting controls display of the Explorer's suspend menu button
[HKEY_LOCAL_MACHINE\Explorer]
    "Suspend"=dword:1
    
; Disable Suspend
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Power]
	"BattPowerOff"=dword:0
	"ExtPowerOff"=dword:0
	"WakeupPowerOff"=dword:0
	"ScreenPowerOff"=dword:0
; @CESYSGEN ENDIF WCESHELLFE_MODULES_EXPLORER


; @CESYSGEN IF CE_MODULES_DEVICE

; HIVE BOOT SECTION
[HKEY_LOCAL_MACHINE\Drivers\Resources\IRQ]
   "Identifier"=dword:1
   "Minimum"=dword:1
   "Space"=dword:20
   "Ranges"="1-0x20"
;  "Shared"=""

[HKEY_LOCAL_MACHINE\Drivers\Resources\IO]
   "Identifier"=dword:2
   "Minimum"=dword:0
   "Space"=dword:10000
   "Ranges"="0-0xFFFF"
; END HIVE BOOT SECTION


; @CESYSGEN IF CE_MODULES_BATTDRVR
#include "$(DRIVERS_DIR)\battdrvr\battdrvr.reg"
; @CESYSGEN ENDIF CE_MODULES_BATTDRVR

; @CESYSGEN IF CE_MODULES_NLEDDRVR
#include "$(DRIVERS_DIR)\nleddrvr\nleddrvr.reg"
; @CESYSGEN ENDIF CE_MODULES_NLEDDRVR

; @CESYSGEN IF CE_MODULES_POINTER   
IF BSP_NOTOUCH !
[HKEY_LOCAL_MACHINE\HARDWARE\DEVICEMAP\TOUCH]
  "MaxCalError"=dword:7
; for 640x480 display
;	"CalibrationData"="656,560 172,232 156,888 1144,884 1152,240"
;for 240x320 display
;	"CalibrationData"="644,528 204,860 204,184 1068,188 1080,864 "
	"CalibrationData"="478,620 85,1108 849,1104 847,124 90,148"

; portrait 
;  "CalibrationData"="478,604 105,93 115,1105 832,1114 832,102 "
;  "CalibrationData"="466,623 149,163 145,1101 798,1097 792,160 "
;  "CalibrationData"="500,512 762,268 758,760 244,758 241,266 "
; Landscape 
;   "CalibrationData"="515,503 763,748 258,749 269,255 764,255 "
ENDIF BSP_NOTOUCH !
; @CESYSGEN ENDIF CE_MODULES_POINTER   

; @CESYSGEN IF CE_MODULES_SERIAL
IF BSP_NOSERIAL !
IF BSP_NOUART0 !
IF BSP_KITL != SERIAL_UART0
;=============== UART0 (physical COM1 connector P1) (Serial) ===============
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\Serial]
   "DeviceArrayIndex"=dword:0
   "Irq"=dword:1c
   "MemBase"=dword:50000000
   "MemLen"=dword:2C
   "InterruptBitsShift"=dword:0 ; UART 0 Interrupt Sub Register shift bit.
;   "ISTTimeouts"=dword:200	; every 512 ticks checking Modem status.
   "Prefix"="COM"
   "Index"=dword:1
   "Dll"="serial_smdk2440.dll"
   "Order"=dword:0
   "Priority"=dword:0
   "Port"="COM1:"
   "DeviceType"=dword:0
   "FriendlyName"=LOC_DISPLAYNAME_COM1
   "Tsp"="unimodem.dll"
   "IClass"="{CC5195AC-BA49-48a0-BE17-DF6D1B0173DD}"
   "DevConfig"=hex: 10,00, 00,00, 05,00,00,00, 10,01,00,00, 00,4B,00,00, 00,00, 08, 00, 00, 00,00,00,00
ENDIF
ENDIF

IF BSP_NOUART1 !
;=============== UART1 (physical COM ) (Serial) ===============
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\Serial1]
   "DeviceArrayIndex"=dword:2
   "Irq"=dword:17
   "MemBase"=dword:50004000
   "MemLen"=dword:2C
   "InterruptBitsShift"=dword:3 ; UART 1 Interrupt Sub Register shift bit.
;   "ISTTimeouts"=dword:200	; every 512 ticks checking Modem status.
   "Prefix"="COM"
   "Index"=dword:2
   "Dll"="serial_smdk2440.dll"
   "Order"=dword:0
   "Priority"=dword:0
   "Port"="COM2:"
   "DeviceType"=dword:0
   "FriendlyName"=LOC_DISPLAYNAME_COM2
   "Tsp"="unimodem.dll"
   "IClass"="{CC5195AC-BA49-48a0-BE17-DF6D1B0173DD}"
   "DevConfig"=hex: 10,00, 00,00, 05,00,00,00, 10,01,00,00, 00,4B,00,00, 00,00, 08, 00, 00, 00,00,00,00
ENDIF


IF BSP_NOIRDA !
; S2440 IrDA(UART2)
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\serial2]
   "DeviceArrayIndex"=dword:1
   "Irq"=dword:f
   "MemBase"=dword:50008000
   "MemLen"=dword:2C
   "InterruptBitsShift"=dword:6 ; UART 2 Interrupt Sub Register shift bit.
   ;"ISTTimeouts"=dword:200	; every 512 ticks checking Modem status.
   "Prefix"="COM"
   "Index"=dword:3
   "Dll"="serial_smdk2440.Dll"
   "Order"=dword:0
   "Priority"=dword:0
   "Port"="COM3:"
   "DeviceType"=dword:0  ; IRDA modem, 0 -> null modem
   "FriendlyName"=LOC_DISPLAYNAME_RAWIR
   "IClass"="{CC5195AC-BA49-48a0-BE17-DF6D1B0173DD}"
   "DevConfig"=hex: 10,00, 00,00, 05,00,00,00, 10,01,00,00, 00,4B,00,00, 00,00, 08, 00, 00, 00,00,00,00
ENDIF

; @CESYSGEN IF CE_MODULES_IRDASTK && CE_MODULES_SERIAL
[HKEY_LOCAL_MACHINE\Comm\Irsir1\Parms]
   "Port"=dword:4
   ; 0 = Use external dongle, 1 = Use internal IR
   "IntIR"=dword:1
   ; 0 - internal transceiver, 1 - Extended Systems JetEye dongle.
   "TransceiverType"=dword:0
; @CESYSGEN ENDIF CE_MODULES_IRDASTK && CE_MODULES_SERIAL


ENDIF BSP_NOSERIAL !
;=========== End of UART(Serial) ===============
; @CESYSGEN ENDIF CE_MODULES_SERIAL

; @CESYSGEN IF CE_MODULES_KEYBD
; Keybd driver is the same.
IF BSP_NOKEYBD !
#include "$(DRIVERS_DIR)\keybd\keybd.reg"

[HKEY_LOCAL_MACHINE\HARDWARE\DEVICEMAP\KEYBD]
    "DriverName"="kbdmouse.dll"
    "Irq"=dword:1
    "IOBase"=dword:B1600000
    "SSPBase"=dword:B1900000

#include "$(DRIVERS_DIR)\keybd\LayMgr.reg"

[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\$(input_locale)]
	"Matrix"="kbdmouse.dll"


; @CESYSGEN IF CE_MODULES_KBDA1
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\00000401]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDA1

; @CESYSGEN IF CE_MODULES_KBDHEB
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\0000040D]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDHEB

; @CESYSGEN IF CE_MODULES_KBDTH0
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\0000041E]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDTH0

; @CESYSGEN IF CE_MODULES_KBDINHIN
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\00010439]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDINHIN

; @CESYSGEN IF CE_MODULES_KBDINMAR
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\0000044E]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDINMAR

; @CESYSGEN IF CE_MODULES_KBDINPUN
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\00000446]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDINPUN

; @CESYSGEN IF CE_MODULES_KBDINTEL
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\0000044A]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDINTEL

; @CESYSGEN IF CE_MODULES_KBDINGUJ
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\00000447]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDINGUJ

; @CESYSGEN IF CE_MODULES_KBDINKAN
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\0000044B]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDINKAN

; @CESYSGEN IF CE_MODULES_KBDINTAM
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\00000449]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDINTAM

; @CESYSGEN IF CE_MODULES_KBDDV
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Layouts\00010409]
	"Matrix"="kbdmouse.dll"
; @CESYSGEN ENDIF CE_MODULES_KBDDV

ENDIF BSP_NOKEYBD !
; @CESYSGEN ENDIF CE_MODULES_KEYBD


; @CESYSGEN IF CE_MODULES_PCCARD
IF BSP_NOPCCARD !
;#include "$(_TARGETPLATROOT)\src\drivers\pccard\pcc_smdk2440.reg"
#include "$(DRIVERS_DIR)\pccard\mdd\pcc_serv.reg"
[HKEY_LOCAL_MACHINE\Drivers\PCCARD\PCMCIA\TEMPLATE\PCMCIA]
   "Dll"="pcmcia.dll"
   "NoConfig"=dword:1
   "NoISR"=dword:1 ; Do not load any ISR.
   "IClass"=multi_sz:"{6BEAB08A-8914-42fd-B33F-61968B9AAB32}=PCMCIA Card Services"
ENDIF BSP_NOPCCARD !
; @CESYSGEN ENDIF CE_MODULES_PCCARD

; @CESYSGEN IF CE_MODULES_SDBUS
IF BSP_SDHC_SC2440

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\SDHC_SMDK2440]
    "Order"=dword:21
    "Dll"="sdhc_sc2440.dll"
    "Prefix"="SDH"
    
    "DMAChannel"=dword:3            ; DMA channel to use.  Set to 0xffffffff to disable DMA
    "DMAIrq"=dword:14
    "DMA_IST_Priority"=dword:96

    "SDIOIrq"=dword:15
	"SDDetectIrq"=dword:2C			;eint16 irq=44

    "SDIO_IST_Priority"=dword:97
    
    "PollingTimeout"=dword:100      ; 100 ms
    "CardDetect_Thread_Priority"=dword:98
    
    "CardDetectGPIO"="G"            ; card detect on GPG8
    "CardDetectMask"=dword:100
    "CardDetectFlag"=dword:0
    "CardDetectControlMask"=dword:fffcffff
    "CardDetectControlFlag"=dword:0
    "CardDetectPullupMask"=dword:fffffeff
    "CardDetectPullupFlag"=dword:100
    
    "CardReadWriteGPIO"="H"         ; card R/W on GPH8
    "CardReadWriteMask"=dword:100
    "CardReadWriteFlag"=dword:100
    "CardReadWriteControlMask"=dword:fffcffff
    "CardReadWriteControlFlag"=dword:0
    "CardReadWritePullupMask"=dword:fffffeff
    "CardReadWritePullupFlag"=dword:100

    "HandleBusyFinishOnCommand38"=dword:1
    "DmaTransferTimeoutFactor"=dword:8
    "DmaTransferTimeoutConstant"=dword:3000

ENDIF BSP_SDHC_SC2440
; @CESYSGEN ENDIF CE_MODULES_SDBUS


;------------ I2C Driver ------------------------------------------------------------------------------------
IF BSP_NOI2C !
;; I2C Bus Driver
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\I2C]
    "Prefix"="I2C"
    "Dll"="I2C.DLL"
    "Order"=dword:0
    "Index"=dword:0
    "Mode"=dword:1              ; Mode: 0 = POLLING, 1 = INTERRUPT
    "SlaveAddress"=dword:0      ; Bus Driver's Slave Address
    "FriendlyName"="I2C Bus Driver"
    "IClass"="{A32942B7-920C-486b-B0E6-92A702A99B35}"   ; Power-manageable generic
ENDIF BSP_NOI2C !  


;------------- Camera Driver ------------------------------------------------------------------------------------
IF BSP_NOCAMERA !
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\Camera]
   "Prefix"="CIS"
   "Dll"="camera.dll"
   "Index"=dword:1
   "Order"=dword:1
   "IClass"="{A32942B7-920C-486b-B0E6-92A702A99B35}"
ELSE
[HKEY_LOCAL_MACHINE\Drivers\Camera]
   "Prefix"="CIS"
   "Dll"="\\residentflash2\\camera\\camera.dll"
   "Index"=dword:1
   "Order"=dword:1
   "IClass"="{A32942B7-920C-486b-B0E6-92A702A99B35}"

ENDIF BSP_NOCAMERA!


IF BSP_NOPWRBTN !
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\PowerButton]
    "Dll"="powerbutton.dll"
    "Prefix"="PWR"
    "Index"=dword:0
    "Order"=dword:0
ENDIF BSP_NOPWRBTN !


; @CESYSGEN IF CE_MODULES_WAVEAPI
IF BSP_NOAUDIO !
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\Audio]
   "Prefix"="WAV"
   "Dll"="s3c2440a_wavedev.dll"
   "Index"=dword:1
   "Order"=dword:33

  ; publish mixer interface
  "IClass"=multi_sz:"{37168569-61C4-45fd-BD54-9442C7DBA46F}"
  
;[HKEY_LOCAL_MACHINE\Drivers\Audio]
;   "Prefix"="WAV"
;   "Dll"="\\residentflash2\\audio\\s3c2440a_wavedev_iis.dll"
;   "Index"=dword:1
;   "Order"=dword:33

ENDIF BSP_NOAUDIO !
; @CESYSGEN ENDIF CE_MODULES_WAVEAPI

;================= USB =================
; @CESYSGEN IF CE_MODULES_USBD
IF BSP_NOUSB !
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\OHCI]
   "InterfaceType"=dword:0     ; Internal
   "Prefix"="HCD"
   "Dll"="ohci2.dll"
   "Index"=dword:1
   "Order"=dword:1
   "Irq"=dword:1a		; 26
   "SysIntr"=dword:11		; (SYSINTR_FIRMWARE+1)
   "MemBase"=dword:49000000
   "MemLen"=dword:1000
   "UseExistingSettings"=dword:0
ENDIF

;============= End of USB =================
; @CESYSGEN ENDIF CE_MODULES_USBD

; @CESYSGEN IF CE_MODULES_USBFN
IF BSP_NOUSBFN !
IF BSP_KITL != USBSERIAL
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\SC2440USBFN]
   "Dll"="sc2440usbfn.dll"
   "Prefix"="UFN"
   "Priority256"=dword:64
   "IoBase"=dword:B1200000
   "IoLen"=dword:1000        ; Use one page
   "Irq"=dword:19
   "BusIoctl"=dword:2a0048
   "IClass"=multi_sz:"{E2BDC372-598F-4619-BC50-54B3F7848D35}=%b","{6F40791D-300E-44E4-BC38-E0E63CA8375C}=%b"

[HKEY_LOCAL_MACHINE\Drivers\USB\FunctionDrivers]
   "DefaultClientDriver"=- ; erase previous default
   "DefaultClientDriver"="Serial_Class"
;   "DefaultClientDriver"="RNDIS"
;   "DefaultClientDriver"="Mass_Storage_Class"

[HKEY_LOCAL_MACHINE\Drivers\USB\FunctionDrivers\RNDIS]
   "UseActiveSyncIds"=dword:1

   "idVendor"=dword:0547
   "Manufacturer"="Generic Manufacturer (PROTOTYPE--Remember to change idVendor)"
   "idProduct"=dword:2c2d
   "Product"="Generic RNDIS (PROTOTYPE--Remember to change idVendor)"

[HKEY_LOCAL_MACHINE\Drivers\USB\FunctionDrivers\Mass_Storage_Class]
   "DeviceName"="DSK1:"

[HKEY_LOCAL_MACHINE\Drivers\USB\FunctionDrivers\Serial_Class]
   "FriendlyName"=LOC_USBFN_SERIAL_NAME
   "idVendor"=dword:04e8
   "Manufacturer"=LOC_USBFN_SERIAL_MANUFACTURER
   "idProduct"=dword:6632
   "Product"=LOC_USBFN_SERIAL_PRODUCT
   "Index"=dword:5

[HKEY_CURRENT_USER\ControlPanel\Comm]
	"Cnct"="`USB"

ENDIF
ENDIF BSP_NOUSBFN !
; @CESYSGEN ENDIF CE_MODULES_USBFN


IF BSP_NOCS8900 !
IF BSP_KITL != ETHERNET
[HKEY_LOCAL_MACHINE\Drivers\CS8900]
	"Dll"="ndis.dll"
	"Prefix"="NDS"
	"Miniport"="CS8900"

[HKEY_LOCAL_MACHINE\Comm\CS8900]
	"DisplayName"="CS8900"
	"Group"="NDIS"
	"ImagePath"="CS8900.dll"

[HKEY_LOCAL_MACHINE\Comm\CS8900\Linkage]
	"Route"=multi_sz:"CS89001"

[HKEY_LOCAL_MACHINE\Comm\CS89001]
	"DisplayName"="CS8900"
	"Group"="NDIS"
	"ImagePath"="CS8900.dll"

[HKEY_LOCAL_MACHINE\Comm\CS89001\Parms]
	"BusNumber"=dword:0
	"BusType"=dword:0
	"InterruptNumber"=dword:25
	"IoBaseAddress"=dword:A7000300
	"Transceiver"=dword:3
	"CardType"=dword:1

[HKEY_LOCAL_MACHINE\Comm\CS89001\Parms\TcpIp]
	"EnableDHCP"=dword:1
	"DefaultGateway"="0.0.0.0"
	"LLInterface"=""
	"UseZeroBroadcast"=dword:0
	"IpAddress"="0.0.0.0"
	"Subnetmask"="0.0.0.0"
	"DNS"="0.0.0.0"

[HKEY_LOCAL_MACHINE\Comm\Tcpip\Linkage]
	"Bind"="CS89001"
ENDIF
ENDIF ; BSP_CS8900

IF BSP_NOUSERLED !
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\LEDdriver]
   "Prefix"="LED"
   "Dll"="LEDdriver.dll"
ENDIF

IF BSP_NOUSERKEY !
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\userkey]
   "Prefix"="KEY"
   "Dll"="userkey.dll"
ENDIF

IF BSP_NOBACKLIGHT !
; backlight driver
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\BAK]
	"Index"=dword:1
	"Prefix"="BAK"
	"Dll"="backlight.dll"
	"Order"=dword:1
	"IClass"="{A32942B7-920C-486b-B0E6-92A702A99B35}"   ; Power-manageable generic

[HKEY_CURRENT_USER\ControlPanel\Backlight]
	"ACTimeout"=dword:3c
	"BatteryTimeout"=dword:1e
	"BacklightOnTap"=dword:1
	"ACBacklightOnTap"=dword:1
	
[HKEY_CURRENT_USER\ControlPanel\BackLight]
    "AdvancedCPL" = "AdvBacklight"
ENDIF ; BSP_NOBACKLIGHT


; @CESYSGEN ENDIF CE_MODULES_DEVICE


;---------------------------------HIVE BEGIN-NEW-----------------------------------------------
; HIVE BOOT SECTION
[HKEY_LOCAL_MACHINE\init\BootVars]
   "SYSTEMHIVE"="system.hv"
    "Start DevMgr"=dword:1

    ; һó1ע޸ĺ󼴿дļ档
   "RegistryFlags"=dword:0

[HKEY_LOCAL_MACHINE\init\BootVars]
   "DefaultUser"="default"

[HKEY_LOCAL_MACHINE\Drivers\BlockDevice\SMFLASH]
  "Prefix"="DSK"
  "Dll"="smflash.dll"
  "Order"=dword:0

  "Ioctl"=dword:4
  "Profile"="SMFLASH"

  "FriendlyName"="MS Flash Driver"
  "MountFlags"=dword:11
  "BootPhase"=dword:1
  "Flags"=dword:1000

[HKEY_LOCAL_MACHINE\System\StorageManager\AutoLoad\SMFLASH]
  "DriverPath"="Drivers\\BlockDevice\\SMFLASH"
  "LoadFlags"=dword:1
  "MountFlags"=dword:11
  "BootPhase"=dword:1
  "Flags"=dword:1000

[HKEY_LOCAL_MACHINE\System\StorageManager\Profiles\SMFLASH]
  "DefaultFileSystem"="FATFS"
  "PartitionDriver"="mspart.dll"
  "AutoMount"=dword:1
  "AutoPart"=dword:1
  "AutoFormat"=dword:1
  "Folder"="ResidentFlash"
  "Name"="Microsoft Flash Disk"
  "BootPhase"=dword:0
  "Flags"=dword:1000

[HKEY_LOCAL_MACHINE\System\StorageManager\Profiles\SMFLASH\FATFS]
  "FriendlyName"="FAT FileSystem"
  "Dll"="fatfsd.dll"
  "Flags"=dword:00280014
  "Paging"=dword:1

  "CacheSize"=dword:0
  "EnableCacheWarm"=dword:0
  "EnableCache"=dword:1
  "MountFlags"=dword:2



; END HIVE BOOT SECTION

;-------------------------------------HIVE END------

; @CESYSGEN IF CE_MODULES_DISPLAY
IF BSP_NODISPLAY !
[HKEY_LOCAL_MACHINE\System\GDI\Drivers]
    "Display"="S3C2440DISP.dll"
    
; Settings to rotate the screen by 0 degrees clockwise upon download
[HKEY_LOCAL_MACHINE\System\GDI\Rotation]
    "Angle"=dword:0

ENDIF BSP_NODISPLAY !
; @CESYSGEN ENDIF CE_MODULES_DISPLAY

; ----------------------------------------------------------------------------
; Select a Direct3D Mobile Driver

; @CESYSGEN IF DIRECTX_MODULES_D3DM
IF BSP_D3DM_NULL
IF BSP_D3DM_NULL_REMOTE
[HKEY_LOCAL_MACHINE\System\D3DM\Drivers]
   "RemoteHook"="d3dm_nulldrv.dll"
ELSE
[HKEY_LOCAL_MACHINE\System\D3DM\Drivers]
   "LocalHook"="d3dm_nulldrv.dll"
ENDIF BSP_D3DM_NULL_REMOTE
ENDIF BSP_D3DM_NULL
; @CESYSGEN ENDIF DIRECTX_MODULES_D3DM

IF BSP_NOATAPI !
[HKEY_LOCAL_MACHINE\System\StorageManager\Profiles\2440_CF]
    "Prefix"="DSK"
    "Dll"="atapi_cf.dll"
    "Index"=dword:3
    "Order"=dword:3
    "Profile"="2440_CF"
    
    "IClass"="{A4E7EDDA-E575-4252-9D6B-4195D48BB865}"
    "PartitionDriver"="mspart.dll"
    "AutoPart"=dword:1
    "AutoMount"=dword:1
    "Name"="Compact Flash Disk"
    "Folder"="CFDrive"

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\atapi_cf_loader]
    "Dll"="atapi_cf_loader.dll"
    "Prefix"="ACL"
    "Order"=dword:1
    "Ioctl"=dword:4
    "IClass"="{A32942B7-920C-486b-B0E6-92A702A99B35}"
ENDIF BSP_NOATAPI !    




; Դĳʱ
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Power\Timeouts]
    "ACUserIdle"=dword:3c		; in seconds
    "ACSystemIdle"=dword:3c 	; in seconds
    "ACSuspend"=dword:0 		; in seconds
    "BattUserIdle"=dword:3c		; in seconds
    "BattSystemIdle"=dword:3c	; in seconds
    "BattSuspend"=dword:3c		; in seconds




#include "$(_TARGETPLATROOT)\Files\rasbook.reg"

IF BSP_NODM9000 !
#include "$(_TARGETPLATROOT)\Files\dm9000.reg"
ENDIF BSP_NODM9000 !

IF BSP_NOPWRBTN !
#include "$(_TARGETPLATROOT)\src\drivers\powerbutton\powerbutton.reg"
ENDIF BSP_NOPWRBTN !

IF BSP_NOWIFI !
#include "$(_TARGETPLATROOT)\Files\GSPI8686.reg"
ENDIF BSP_NOWIFI !

IF BSP_NOGSENSOR !
#include "$(_TARGETPLATROOT)\Files\Gsensor.reg"
ENDIF BSP_NOGSENSOR !

IF BSP_BLUETOOTH_BUILTIN_UART
#include "$(_TARGETPLATROOT)\Files\bluetooth.reg"
ENDIF

#include "$(_TARGETPLATROOT)\FILES\jt.reg"
